Khronos Public Bugzilla
Bug 838 - Extension Support: Identify which extensions should be supported in WebCL
Extension Support: Identify which extensions should be supported in WebCL
Status: RESOLVED FIXED
Product: WebCL
Classification: Unclassified
Component: Specification
1.0
All All
: P5 normal
: ---
Assigned To: WebCL Mailing List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-21 10:52 PDT by steven eliuk
Modified: 2013-11-21 08:35 PST (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description steven eliuk 2013-03-21 10:52:55 PDT
Use this thread to discuss which extensions should be supported,

As the WG agrees on a specific extension it will be included in the WebCL WD,
Comment 1 Tasneem Brutch 2013-10-16 17:18:37 PDT
I would recommend closing this bug for now. We can open new bugs if needed, related to any new extensions proposed by members.
Comment 2 steven eliuk 2013-11-06 15:00:46 PST
Not to lose track of the currently identified extensions,

"KHR_FP64"
"KHR_FP16"
"KHR_GL_SHARING"
"WEBCL_VALIDATION_INFO"
"OPTIONALLY_VISIBLE_INFO"

We are looking at producing an 'Extension Registry' page for WebCL,
Comment 3 steven eliuk 2013-11-15 11:37:32 PST
"KHR_FP64"
"KHR_FP16"
"KHR_GL_SHARING"
"WEBCL_VALIDATION_INFO"
"OPTIONALLY_VISIBLE_INFO"
"WEBCL_HTML_INTEROP" - as per public bug 906

Reopening until these extensions are authored in the khronos webcl git repo for extensions,
Comment 4 steven eliuk 2013-11-19 09:19:12 PST
"KHR_FP64"
"KHR_FP16"
"KHR_GL_SHARING"
"WEBCL_VALIDATION_INFO"
"WEBCL_debug_info -> previously "WEBCL_OPTIONALLY_VISIBLE_INFO", see public bug 1041.
"WEBCL_HTML_INTEROP" - as per public bug 906
Comment 5 Tomi Aarnio 2013-11-20 08:11:00 PST
I suggest a staged ratification schedule:

Extensions ratified together with the core spec:

  KHR_fp16
  KHR_fp64
  KHR_gl_sharing
  WEBCL_html_sharing
  WEBCL_debug_info
  WEBCL_validation_info

Extensions ratified later, but as soon as possible:

  WEBCL_html_video
Comment 6 steven eliuk 2013-11-21 08:35:07 PST
All extensions listed are drafted in the WebCL Extension registry,

https://github.com/KhronosGroup/WebCL/tree/master/extensions